analyzePetFeature(data: PetFeatureAnalyze)

Requires:
@ray-js/ray≥1.6.27

Description

Submit pet feature analysis task

Parameters

ParameterTypeRequiredDescription
YesRequest parameters: miniAppId, agentId, ownerId, and images to analyze (list of objectKey values)

Return Value

Type: Promise<string>
Promise that resolves to the async task ID (string), used to poll getAnalyzePetFeatureResult

Examples

Request example

import { analyzePetFeature } from '@ray-js/ray';

analyzePetFeature({
  miniAppId: 'xxxx',
  agentId: 'xxxx',
  ownerId: 'xxxx',
  images: [
    {
      objectKey: 'xxxx',
    },
  ],
});

Response example

"xxxxxxx"